<template>
  <div class="partnersview">
    <!-- part-one  -->
    <v-container
      fluid
      :class="$vuetify.breakpoint.smAndDown ? 'mt-80' : 'mt-140 pr-12 pl-12'"
    >
      <v-row class="pa-12" align="center" justify="space-between">
        <v-col cols="12">
          <h1 class="text-center main-color allh1-headline">
            {{ $t('menu.partner.shahremohtava') }}
          </h1>
          <p class="text-center">
            {{ $t('partnerMohtava.description') }}
          </p>
        </v-col>
        <v-col
          cols="12"
          md="9"
          :class="$vuetify.breakpoint.mdAndDown ? '' : 'pl-12'"
        >
          <div
            :class="
              $vuetify.breakpoint.mdAndDown
                ? 'text-center partner-description'
                : 'partner-description'
            "
          >
            <h2>
              {{ $t('partnerMohtava.whatIsMarketing.title') }}
            </h2>
            <p>
              {{ $t('partnerMohtava.whatIsMarketing.description') }}
            </p>
          </div>
        </v-col>
        <v-col
          cols="12"
          md="3"
          :class="$vuetify.breakpoint.mdAndDown ? '' : 'pl-6'"
        >
          <div>
            <div class="logopart text-center d-flex justify-center">
              <a
                rel="noopener noreferrer"
                href="https://shahremohtava.com/"
                title="shahremohtava"
              >
                <i class="text-center abi red--text">ir_shahremohtava</i>
              </a>
            </div>
          </div>
        </v-col>
      </v-row>
    </v-container>
    <!-- part-two  -->
    <v-container
      v-scrollAnime
      fluid
      :class="
        $vuetify.breakpoint.smAndDown
          ? 'grey lighten-5'
          : 'grey lighten-5 pr-12 pl-12'
      "
    >
      <v-row class="pa-12">
        <v-col cols="12" class="mt-12 pb-12 text-center partner-description">
          <h2>
            {{ $t('partnerMohtava.services.title') }}
          </h2>
        </v-col>
        <v-col cols="12" md="9">
          <List
            :data="dataGiven"
            :icon="`mdi-information-outline`"
            :bgcolor="`grey lighten-5`"
          />
        </v-col>
        <v-col
          cols="12"
          md="3"
          :class="$vuetify.breakpoint.mdAndDown ? '' : 'pl-6'"
        >
          <div>
            <v-img
              :src="require('../../../assets/images/partner/mohtava.svg')"
              :srcset="require('../../../assets/images/partner/mohtava.svg')"
              :lazy-src="require('../../../assets/images/partner/mohtava.svg')"
              contain
            ></v-img>
          </div>
        </v-col>
      </v-row>
    </v-container>
    <!-- part-three  -->
    <v-container
      v-scrollAnime
      fluid
      :class="$vuetify.breakpoint.smAndDown ? '' : 'pr-12 pl-12'"
    >
      <v-row>
        <v-col cols="12" class="mt-12 pb-12 text-center partner-description">
          <h2>
            {{ $t('partnerMohtava.how.title') }}
          </h2>
          <p class="pt-4">
            {{ $t('partnerMohtava.how.description') }}
          </p>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
<script>
export default {
  name: 'AboutMohtava',
  props: {
    dataGiven: {
      type: Array,
      required: true,
    },
  },
  data() {
    return {
      colors: ['#24556f', '#6f3777', '#425d6a'],
    };
  },
};
</script>
